@import "~sass/media";
@import "~sass/variables";
.reply-wrap {
  width: auto;
  //height: 80vh;
  //overflow: hidden;
  max-width: 80vw !important;
}
.reply-comment-wrap {
  //height: 80vh;
  //overflow: auto;
  .reply-comment{
    max-height: 60vh;
    overflow-y: auto;
  }
}

.reply-title {
  background-color: $primary-color;
  color: #000;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 10px;
  line-height: 2;
  margin-bottom: 20px;
  position: sticky;
}
.reply-ques {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  width: 700px;
  color: $font-silver;
}

.reply-cunt {
  background-color: $secondary-color;
  padding: 0 10px;
  border-radius: 20px;
  font-size: 14px;
  margin-right: 20px;
  color: #000;
}

.search-clear {
  background: none;
  border: none;
  color: rgb(255, 255, 255);
  display: flex;
}
.reply-first {
  display: flex;
  justify-content: flex-start;
}
.reply-end {
  display: flex;
  justify-content: flex-end;
}
.reply-wrapper-even {
    background-color: $quaternary;
    margin: 0px 20px 20px 20px;
    width: -moz-max-content;
    width: -webkit-max-content;
    display: table;
    border-radius: 20px;
    width: auto;
    line-height: 1.7vh;
    word-break: break-all;
    max-width: 40vw;
  .reply-comments {
    padding: 15px;
  }
  .reply-name {
    font-size: 16px;
    color: $secondary-color;
  }
  .reply-day {
    font-size: 10px;
    color: #000;
    padding-left: 5px;
  }
  p {
    font-size: 13px;
    margin-bottom:0;
  }
}
.reply-wrapper-odd {
    background-color: #fff;
    margin: 0px 20px 20px 20px;
    width: -moz-max-content;
    width: -webkit-max-content;
    display: table;
    border-radius: 20px;
    width: auto;
    line-height: 1.7vh;
    word-break: break-all;
    max-width: 40vw;
  .reply-comments {
    padding: 15px;
  }
  .reply-name {
    font-size: 16px;
    color: #000;
  }
  .reply-day {
    font-size: 10px;
    color: #c7c7c7;;
    padding-left: 5px;
  }
  p {
    font-size: 13px;
    margin-bottom:0;
  }
}
.reply-wrapper-w {
  background-color: #ffffff;
  margin: 0px 20px 0px 20px;
  width: -moz-max-content;
  width: -webkit-max-content;
  width: max-content;
  display: table;
  border-radius: 20px;
  .reply-comments {
    padding: 15px;
  }
  .reply-name {
    font-size: 16px;
    color: #21b9ff;
  }
  .reply-day {
    font-size: 10px;
    color: #000;
  }
  p {
    font-size: 13px;
    margin-bottom:0;
  }
}
::ng-deep .mat-dialog-container{
  overflow: hidden;
}